Skip to main content
DELETE
/
qrcodes
/
bulk
JavaScript
import Codeqr from '@codeqr/ts';

const client = new Codeqr({
  apiKey: process.env['CODEQR_API_KEY'], // This is the default and can be omitted
});

const bulk = await client.qrcodes.bulk.delete({
  qrcodeIds: ['clux0rgak00011...', 'clux0rgak00022...'],
});

console.log(bulk.deletedCount);
{
  "deletedCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.codeqr.io/llms.txt

Use this file to discover all available pages before exploring further.

This is a destructive action and cannot be undone. Proceed with caution. Also, webhook events will not be triggered when using this endpoint.

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

qrcodeIds
string[]
required

Comma-separated list of QR Code IDs to delete. Maximum of 100 IDs. Non-existing IDs will be ignored.

Example:
["clux0rgak00011...", "clux0rgak00022..."]

Response

The deleted QR Codes count.

deletedCount
number
required

The number of QR Codes deleted.